Package es.imim.DISGENET.gui

# Class GuiProps

java.lang.Object
es.imim.DISGENET.gui.GuiProps

public class GuiProps extends Object
The DISGENET Cytoscape App is designed to visualize, query, and analyze a network representation of DISGENET data.

Copyright (C) 2024 MEDBIOINFORMATICS SOLUTIONS SL

This file is part of the DISGENET Cytoscape App. The DISGENET Cytoscape App is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version.

The DISGENET Cytoscape App is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the DISGENET Cytoscape App. If not, see http://www.gnu.org/licenses/.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`ASSOCIATION_TYPE_OPTIONS`
`static final String`
`COLOR_NODES_BUTTON_TEXT`
`static final String`
`COLOR_NODES_BUTTON_TOOLTIP`
`static final String`
`CREATE_NET_BUTTON_TEXT`
`static final String`
`CREATE_NET_BUTTON_TOOLTIP`
`static final String`
`DIS_PROJ_LABEL`
`static final String`
`DIS_PROJ_SEARCH_FIELD`
`static final String`
`DIS_PROJ_SEARCH_LABEL`
`static final String`
`DIS_PROJ_SOURCE_LABEL`
`static final String`
`DIS_PROJ_TAB_TITLE`
`static final String[]`
`DISEASE_CLASS_OPTIONS`
`static final String`
`EI_HIGH_LABEL`
`static final String`
`EI_LOW_LABEL`
`static final String[]`
`EL_OPTIONS`
`static final String`
`EXIT_BUTTON_TEXT`
`static final String`
`GENE_DIS_ASSO_LABEL`
`static final String`
`GENE_DIS_CLASS_LABEL`
`static final String`
`GENE_DIS_LOW_SCORE_LABEL`
`static final String`
`GENE_DIS_NORMAL_SCORE_LABEL`
`static final String`
`GENE_DIS_SEARCH_DIS_LABEL`
`static final String`
`GENE_DIS_SEARCH_GENE_LABEL`
`static final String`
`GENE_DIS_SEARCH_TEXT`
`static final String`
`GENE_DIS_SOURCE_LABEL`
`static final String`
`GENE_DIS_TAB_TITLE`
`static final String`
`GENE_DIS_UP_SCORE_LABEL`
`static final String`
`GENE_PROJ_LABEL`
`static final String`
`GENE_PROJ_SEARCH_FIELD`
`static final String`
`GENE_PROJ_SEARCH_LABEL`
`static final String`
`GENE_PROJ_SOURCE_LABEL`
`static final String`
`GENE_PROJ_TAB_TITLE`
`static final String`
`REMOVE_COLOR_BUTTON_TEXT`
`static final String`
`REMOVE_COLOR_BUTTON_TOOLTIP`
`static final String[]`
`SOURCE_OPTIONS`
`static final String[]`
`VARIANT_ASSOCIATION_TYPE_OPTIONS`
`static final String`
`VARIANT_DIS_CLASS_LABEL`
`static final String`
`VARIANT_DIS_LOW_SCORE_LABEL`
`static final String`
`VARIANT_DIS_NORMAL_SCORE_LABEL`
`static final String`
`VARIANT_DIS_SEARCH_DIS_LABEL`
`static final String`
`VARIANT_DIS_SEARCH_GEN_LABEL`
`static final String`
`VARIANT_DIS_SEARCH_TEXT`
`static final String`
`VARIANT_DIS_SEARCH_VAR_LABEL`
`static final String`
`VARIANT_DIS_SOURCE_LABEL`
`static final String`
`VARIANT_DIS_TAB_TITLE`
`static final String`
`VARIANT_DIS_UP_SCORE_LABEL`
`static final String[]`
`VARIANT_SOURCE_OPTIONS`
`static final String`
`VARIANT_VAR_GEN_CHECKBOX_LABEL`
`static final String`
`VARIANT_VAR_GEN_CHECKBOX_TOOLTIP`

## Constructor Summary

Constructors
Constructor
Description
`GuiProps()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GENE_DIS_SOURCE_LABEL

public static final String GENE_DIS_SOURCE_LABEL

See Also:
  - Constant Field Values

### GENE_DIS_SEARCH_GENE_LABEL

public static final String GENE_DIS_SEARCH_GENE_LABEL

See Also:
  - Constant Field Values

### GENE_DIS_SEARCH_DIS_LABEL

public static final String GENE_DIS_SEARCH_DIS_LABEL

See Also:
  - Constant Field Values

### GENE_DIS_NORMAL_SCORE_LABEL

public static final String GENE_DIS_NORMAL_SCORE_LABEL

See Also:
  - Constant Field Values

### GENE_DIS_LOW_SCORE_LABEL

public static final String GENE_DIS_LOW_SCORE_LABEL

See Also:
  - Constant Field Values

### GENE_DIS_UP_SCORE_LABEL

public static final String GENE_DIS_UP_SCORE_LABEL

See Also:
  - Constant Field Values

### EI_HIGH_LABEL

public static final String EI_HIGH_LABEL

See Also:
  - Constant Field Values

### EI_LOW_LABEL

public static final String EI_LOW_LABEL

See Also:
  - Constant Field Values

### GENE_DIS_SEARCH_TEXT

public static final String GENE_DIS_SEARCH_TEXT

See Also:
  - Constant Field Values

### GENE_DIS_CLASS_LABEL

public static final String GENE_DIS_CLASS_LABEL

See Also:
  - Constant Field Values

### GENE_DIS_TAB_TITLE

public static final String GENE_DIS_TAB_TITLE

See Also:
  - Constant Field Values

### GENE_DIS_ASSO_LABEL

public static final String GENE_DIS_ASSO_LABEL

See Also:
  - Constant Field Values

### VARIANT_DIS_SOURCE_LABEL

public static final String VARIANT_DIS_SOURCE_LABEL

See Also:
  - Constant Field Values

### VARIANT_DIS_SEARCH_VAR_LABEL

public static final String VARIANT_DIS_SEARCH_VAR_LABEL

See Also:
  - Constant Field Values

### VARIANT_DIS_SEARCH_DIS_LABEL

public static final String VARIANT_DIS_SEARCH_DIS_LABEL

See Also:
  - Constant Field Values

### VARIANT_DIS_SEARCH_GEN_LABEL

public static final String VARIANT_DIS_SEARCH_GEN_LABEL

See Also:
  - Constant Field Values

### VARIANT_VAR_GEN_CHECKBOX_LABEL

public static final String VARIANT_VAR_GEN_CHECKBOX_LABEL

See Also:
  - Constant Field Values

### VARIANT_VAR_GEN_CHECKBOX_TOOLTIP

public static final String VARIANT_VAR_GEN_CHECKBOX_TOOLTIP

See Also:
  - Constant Field Values

### VARIANT_DIS_NORMAL_SCORE_LABEL

public static final String VARIANT_DIS_NORMAL_SCORE_LABEL

See Also:
  - Constant Field Values

### VARIANT_DIS_LOW_SCORE_LABEL

public static final String VARIANT_DIS_LOW_SCORE_LABEL

See Also:
  - Constant Field Values

### VARIANT_DIS_UP_SCORE_LABEL

public static final String VARIANT_DIS_UP_SCORE_LABEL

See Also:
  - Constant Field Values

### VARIANT_DIS_SEARCH_TEXT

public static final String VARIANT_DIS_SEARCH_TEXT

See Also:
  - Constant Field Values

### VARIANT_DIS_CLASS_LABEL

public static final String VARIANT_DIS_CLASS_LABEL

See Also:
  - Constant Field Values

### VARIANT_DIS_TAB_TITLE

public static final String VARIANT_DIS_TAB_TITLE

See Also:
  - Constant Field Values

### DIS_PROJ_SOURCE_LABEL

public static final String DIS_PROJ_SOURCE_LABEL

See Also:
  - Constant Field Values

### DIS_PROJ_SEARCH_LABEL

public static final String DIS_PROJ_SEARCH_LABEL

See Also:
  - Constant Field Values

### DIS_PROJ_SEARCH_FIELD

public static final String DIS_PROJ_SEARCH_FIELD

See Also:
  - Constant Field Values

### DIS_PROJ_LABEL

public static final String DIS_PROJ_LABEL

See Also:
  - Constant Field Values

### DIS_PROJ_TAB_TITLE

public static final String DIS_PROJ_TAB_TITLE

See Also:
  - Constant Field Values

### GENE_PROJ_SOURCE_LABEL

public static final String GENE_PROJ_SOURCE_LABEL

See Also:
  - Constant Field Values

### GENE_PROJ_SEARCH_LABEL

public static final String GENE_PROJ_SEARCH_LABEL

See Also:
  - Constant Field Values

### GENE_PROJ_SEARCH_FIELD

public static final String GENE_PROJ_SEARCH_FIELD

See Also:
  - Constant Field Values

### GENE_PROJ_LABEL

public static final String GENE_PROJ_LABEL

See Also:
  - Constant Field Values

### GENE_PROJ_TAB_TITLE

public static final String GENE_PROJ_TAB_TITLE

See Also:
  - Constant Field Values

### COLOR_NODES_BUTTON_TEXT

public static final String COLOR_NODES_BUTTON_TEXT

See Also:
  - Constant Field Values

### COLOR_NODES_BUTTON_TOOLTIP

public static final String COLOR_NODES_BUTTON_TOOLTIP

See Also:
  - Constant Field Values

### REMOVE_COLOR_BUTTON_TEXT

public static final String REMOVE_COLOR_BUTTON_TEXT

See Also:
  - Constant Field Values

### REMOVE_COLOR_BUTTON_TOOLTIP

public static final String REMOVE_COLOR_BUTTON_TOOLTIP

See Also:
  - Constant Field Values

### CREATE_NET_BUTTON_TEXT

public static final String CREATE_NET_BUTTON_TEXT

See Also:
  - Constant Field Values

### CREATE_NET_BUTTON_TOOLTIP

public static final String CREATE_NET_BUTTON_TOOLTIP

See Also:
  - Constant Field Values

### EXIT_BUTTON_TEXT

public static final String EXIT_BUTTON_TEXT

See Also:
  - Constant Field Values

### DISEASE_CLASS_OPTIONS

public static final String[] DISEASE_CLASS_OPTIONS

### SOURCE_OPTIONS

public static final String[] SOURCE_OPTIONS

### VARIANT_SOURCE_OPTIONS

public static final String[] VARIANT_SOURCE_OPTIONS

### VARIANT_ASSOCIATION_TYPE_OPTIONS

public static final String[] VARIANT_ASSOCIATION_TYPE_OPTIONS

### EL_OPTIONS

public static final String[] EL_OPTIONS

### ASSOCIATION_TYPE_OPTIONS

public static final String[] ASSOCIATION_TYPE_OPTIONS

## Constructor Details

### GuiProps

public GuiProps()